summaryrefslogtreecommitdiff
path: root/package/ipmitool
diff options
context:
space:
mode:
authorPhil Sutter <phil.sutter@viprinet.com>2015-02-24 12:47:02 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2015-02-28 10:14:31 +0100
commitf7cdc77825243a0387e63bad09fb19cb30c7e0ea (patch)
tree5817cbe722ddc8e775ef89e7419351687269df19 /package/ipmitool
parent76119b98867ab73800e7d2714e1dd57e8d26cdaa (diff)
port ipmitool
Diffstat (limited to 'package/ipmitool')
-rw-r--r--package/ipmitool/Makefile24
-rw-r--r--package/ipmitool/patches/patch-configure71
2 files changed, 95 insertions, 0 deletions
diff --git a/package/ipmitool/Makefile b/package/ipmitool/Makefile
new file mode 100644
index 000000000..8018b4d93
--- /dev/null
+++ b/package/ipmitool/Makefile
@@ -0,0 +1,24 @@
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+include $(ADK_TOPDIR)/rules.mk
+
+PKG_NAME:= ipmitool
+PKG_VERSION:= 1.8.11
+PKG_RELEASE:= 1
+PKG_MD5SUM:= 0f9b4758c2b7e8a7bafc2ead113b4bc6
+PKG_DESCR:= Utility for controlling IPMI enabled devices.
+PKG_SECTION:= net/misc
+PKG_URL:= http://ipmitool.sf.net/
+PKG_SITES:= ${MASTER_SITE_SOURCEFORGE:=ipmitool/}
+
+include $(ADK_TOPDIR)/mk/package.mk
+
+$(eval $(call PKG_template,IPMITOOL,$(PKG_NAME),$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+
+post-install:
+ $(INSTALL_DIR) $(IDIR_IPMITOOL)/usr/bin
+ $(INSTALL_BIN) $(WRKINST)/usr/bin/ipmitool \
+ $(IDIR_IPMITOOL)/usr/bin
+
+include ${ADK_TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/ipmitool/patches/patch-configure b/package/ipmitool/patches/patch-configure
new file mode 100644
index 000000000..1abeed4ad
--- /dev/null
+++ b/package/ipmitool/patches/patch-configure
@@ -0,0 +1,71 @@
+ enable configure to run despite $cross_compiling
+--- ipmitool-1.8.11.orig/configure 2009-02-25 22:21:56.000000000 +0100
++++ ipmitool-1.8.11/configure 2013-03-12 15:58:58.896054409 +0100
+@@ -24311,67 +24311,6 @@ _ACEOF
+ fi;
+
+
+-if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-
+- #include <stdio.h>
+-
+- struct packstruct {
+- unsigned char t0 :5;
+- unsigned char t1 :5;
+- unsigned char t2 :5;
+- unsigned char t3 :5;
+- unsigned char t4 :4;
+- } __attribute__ ((packed));
+-
+- int
+- main(int argc, char ** argv)
+- {
+- if(sizeof(struct packstruct) != 3)
+- return(1);
+- else
+- return(0);
+- }
+-
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+- (eval $ac_link) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+- (eval $ac_try) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+- :
+-else
+- echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-
+-cat >>confdefs.h <<\_ACEOF
+-#define HAVE_PRAGMA_PACK 1
+-_ACEOF
+-
+-
+-fi
+-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+
+
+ ac_config_files="$ac_config_files Makefile doc/Makefile contrib/Makefile control/Makefile control/pkginfo control/prototype control/rpmmacros control/ipmitool.spec lib/Makefile include/Makefile include/ipmitool/Makefile src/Makefile src/plugins/Makefile src/plugins/lan/Makefile src/plugins/lanplus/Makefile src/plugins/open/Makefile src/plugins/free/Makefile src/plugins/imb/Makefile src/plugins/bmc/Makefile src/plugins/lipmi/Makefile"